.showcase-collection-list--wrapper {
  position: relative;
  overflow: hidden;
  padding: 1.3rem 0rem;
}

.showcase-collection-list--img-item :is(img, svg) {
  width: 100%;
  display: block;
  height: 100%;
  object-fit: cover;
  transform: scale(1);
  will-change: transform, opacity;
  transition: all 1s ease-out;
}

.showcase-collection-info {
  display: none;
}

.showcase-collection-list--text {
  display: inline-block;
  cursor: pointer;
  position: relative;
  z-index: 1;
  max-width: 100%;
  word-break: break-word;
}

.showcase-collection-info .button {
  margin-top: 1.5rem;
}

@media screen and (min-width: 19021px) {
  .showcase-collection-info {
    max-width: 25%;
  }
}

@media (min-width: 768px) {
  .showcase-collection-list--wrapper {
    padding: 3.75rem 0rem;
  }

  .showcase-collection-list--content {
    display: flex;
    align-items: flex-end;
    position: relative;
    z-index: 2;
    overflow: hidden;
    height: 100%;
  }
  .showcase-collection-list--content > div {
    max-height: 100%;
    overflow: hidden;
    overflow-y: auto;
  }
  .showcase-collection-info {
    position: absolute;
    bottom: 0rem;
    right: 0rem;
    max-width: 35%;
    display: block;
    z-index: 1;
    opacity: 0;
    max-height: 100%;
    overflow-y: auto;
    pointer-events: none;
    padding-right: 1rem;
  }
  .showcase-collection-list--img-item {
    position: absolute;
    top: 0rem;
    left: 0rem;
    width: 100%;
    height: 100%;
    z-index: 1;
    object-fit: cover;
    opacity: 0;
    overflow: hidden;
  }

  .showcase-collection-list--img-item :is(img, svg) {
    transform: translateZ(0) rotate(2deg) scale(1.1);
  }

  .showcase-collection-list--img-item.is-active {
    opacity: 1;
  }

  .showcase-collection-list--img-item.is-active :is(img, svg) {
    transform: translate(0px, 0px);
  }
  .showcase-collection-list--text::before {
    content: "";
    position: absolute;
    top: 0rem;
    left: 0rem;
    width: 0rem;
    height: 100%;
    transition: all 0.3s ease-in-out;
    background: linear-gradient(
      90deg,
      rgba(var(--background-color), 100%),
      rgba(var(--background-color), 0%)
    );
    z-index: -1;
  }

  .showcase-collection-list--text:is(.is-active, :hover)::before {
    width: 100%;
  }

  .showcase-collection-list--text:is(.is-active) ~ .showcase-collection-info {
    opacity: 1;
    pointer-events: all;
  }
  .showcase-collection-list--text {
    margin: 0.625rem 0rem;
    padding: 0.19rem 0.625rem;
    max-width: 45%;
  }
}

@media screen and (max-width: 767px) {
  .showcase-collection-list--wrapper {
    overflow-x: auto;
    padding: 0rem;
  }
  .showcase-collection-list--imgs,
  .showcase-collection-list-text--box {
    display: flex;
    align-items: flex-start;
  }
  .showcase-collection-list--content .page--width {
    padding-inline: 0rem;
  }
  .showcase-collection-list-text--box {
    padding-top: 1.8rem;
    padding-bottom: 1.8rem;
  }
  .showcase-collection-list--img-item,
  .showcase-collection-list--title {
    flex: 0 0 95%;
    height: 100%;
    padding-right: 0.375rem;
  }
  .showcase-collection-list--title {
    padding-left: 2rem;
    margin: 0rem;
  }
  .showcase-collection-list--content {
    height: auto;
  }
  .showcase-collection-list--text {
    display: block;
  }
  .showcase-collection-info {
    display: block;
  }
}
